Update project
curl --request PATCH \
--url https://api.sapt.ai/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"urls": [
{
"name": "<string>",
"url": "<string>"
}
],
"branding": {
"colors": [
{
"name": "<string>",
"hex": "<string>"
}
],
"description": "<string>"
}
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}"
payload = {
"name": "<string>",
"urls": [
{
"name": "<string>",
"url": "<string>"
}
],
"branding": {
"colors": [
{
"name": "<string>",
"hex": "<string>"
}
],
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
urls: [{name: '<string>', url: '<string>'}],
branding: {colors: [{name: '<string>', hex: '<string>'}], description: '<string>'}
})
};
fetch('https://api.sapt.ai/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "ecommerce",
"parentProjectId": "<string>",
"urls": [
{
"name": "<string>",
"url": "<string>"
}
],
"githubRepo": "<string>",
"brandMetadata": {
"colors": [],
"fontStyle": null,
"description": null,
"ctaSlideUrls": []
},
"serpSettings": {
"locations": [],
"trackingEnabled": false,
"trackedDomain": null,
"language": null
},
"webhookUrl": "<string>",
"webhookSecret": "<string>",
"onboardingCompleted": true,
"onboardingConversationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Projects
Update project
Update project details. Requires project write permission.
PATCH
/
projects
/
{projectId}
Update project
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Response
Updated project
Show child attributes
Show child attributes